%define name DrakeLogo
%define group System/Configuration/Boot and Init
%define version 1.0
%define release 25mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Small utility to easily change the boot-up logo
Source0: %{name}-%{version}.tar.bz2
Source1: DrakeLogo.menu.bz2
Source2: drakelogo16.xpm.bz2
Source3: drakelogo32.xpm.bz2
Source4: drakelogo48.xpm.bz2
Patch0: makefile-optflags.patch.bz2
License: GPL
BuildRoot: %{_tmppath}/DrakeLogo-root
Requires: imlib
Group: %{group}
BuildRequires: libgtk+mdk-devel, imlib-devel, gettext, XFree86-devel

%Description
DrakeLogo let you easily change the boot-up logo. All you have to do is 
to choose a new picture, rebuild your kernel, run lilo silo milo or
others boot loader, and voila!

%prep
%setup -q
%patch0 -p1

%build
%make

%install
%makeinstall prefix=$RPM_BUILD_ROOT

#install mo files
%{find_lang} %{name}

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_menudir}/DrakeLogo
#install icon menu
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/drakelogo.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/drakelogo.xpm
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_liconsdir}/drakelogo.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS
%{_prefix}/X11R6/bin/draklogo
%{_datadir}/help/DrakeLogo.HelpFile
%{_menudir}/DrakeLogo
%{_miconsdir}/drakelogo.xpm
%{_iconsdir}/drakelogo.xpm
%{_liconsdir}/drakelogo.xpm

%changelog
* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-25mdk
- rebuild including latest translations

* Mon Aug 13 2001 DindinX <odin@mandrakesoft.com> 1.0-24mdk
- use gtk_set_locale() (Pablo).
- change the executable name to draklogo

* Wed Jul  4 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-23mdk
- recompile (for gtk+mdk)

* Wed Jun 27 2001 DindinX <odin@mandrakesoft.com> 1.0-22mdk
- added support for ia64 (Matthias Badaire <mbadaire@mandrakesoft.com>)

* Fri May 25 2001 DindinX <odin@mandrakesoft.com> 1.0-21mdk
- rebuild with new gettext

* Thu Mar  1 2001 dam's <damien@mandrakesoft.com> 1.0-20mdk
- corrected typo

* Wed Feb 28 2001 dam's <damien@mandrakesoft.com> 1.0-19mdk
- updated embedding comportment

* Fri Feb  2 2001 DindinX <odin@mandrakesoft.com> 1.0-18mdk
- adapt for embedding in the mandrake control-center

* Mon Dec 11 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0-17mdk
- use optflags

* Mon Aug 28 2000 DindinX <odin@mandrakesoft.com> 1.0-16mdk
- BM
- Macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-15mdk
- automatically added BuildRequires

* Wed Jun  7 2000 DindinX <odin@mandrakesoft.com> 1.0-14mdk
- minor spec fix
- support for ppc

* Wed May  3 2000 DindinX <odin@mandrakesoft.com> 1.0-13mdk
- Fix a segfault bug if kernel-headers is installed and
  kernel-source isn't (Thanks to Andreas Simon for pointing this)
- launch via kdesu if non-root

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0-12mdk
- Added a 32x32 and a 48x48 icons

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0-11mdk
- remove menu icon path

* Thu Apr 20 2000 DindinX <odin@mandrakesoft.com> 1.0-10mdk
- Remove Hat and wand, and use a new default logo from LN

* Tue Apr 11 2000 DindinX <odin@mandrakesoft.com> 1.0-9mdk
- Added a nice menu icon from Hlne

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 1.0-8mdk
- Fix Groups,
- Update spec,
- Add Menu
 
* Sun Mar  5 2000 DindinX <odin@mandrakesoft.com> 1.0-7mdk
- The Logo is now drawn with the right number of colors.
      I.e the 214 colors Logo is drawn with 214 colors,
      the  16 colors Logo is drawn with  16 colors,
      the monochrome Logo is dranw with only two colors
      to provide a better feedback of how the logo will actually looks.
                           
* Sat Mar 4 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.0-6mdk
- Appied patch to Makefile: ln -sf savelogo-i386.c savelogo-alpha.c

* Tue Feb 15 2000 DindinX <odin@mandrakesoft.com> 1.0-5mdk
- Any type of image is now supported 
  (images with more than 214 colors are converted)

* Fri Feb 11 2000 DindinX <odin@mandrakesoft.com> 1.0-4mdk
- Support for multi-arch: i386, alpha and sparc.

* Wed Feb  9 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-3mdk
- Support of multi-arch in description :).
- Don't erase RPM_PACKAGE_NAME
- BuildRequires: gtk+-devel glib-devel imlib-devel
- Makefile tweak like all lnx-mandrake cvs soft.

* Wed Feb 09 2000 DindinX <odin@mandrakesoft.com> 1.0-2mdk
- Better error handling.

* Mon Feb 07 2000 DindinX <odin@mandrakesoft.com> 1.0-1mdk
- First release

